oracle.xml.xsql

## Class XSQLError

- java.lang.Object
- - oracle.xml.xsql.XSQLError

    public class XSQLError
    extends java.lang.Object

Represents a fatal error in the XSQL page processing engine.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Integer` `getErrorCode()` Returns the XSQL error code
`java.lang.String` `getErrorXML()` Returns the XSQL error information formatted as a well-formed XML fragment.
`Document` `getErrorXMLDocument()` Returns the XSQL error information as a DOM Document
`java.lang.String` `getMessage()` Returns the text of the XSQL error that has occurred.
`java.lang.Object[]` `getSupplementalErrorInfo()` Returns an Object array of supplemental error information.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getMessage

    public java.lang.String getMessage()

Returns the text of the XSQL error that has occurred.

#### getSupplementalErrorInfo

    public java.lang.Object[] getSupplementalErrorInfo()

Returns an Object array of supplemental error information.

#### getErrorXML

    public java.lang.String getErrorXML()

Returns the XSQL error information formatted as a well-formed XML fragment.

#### getErrorXMLDocument

    public Document getErrorXMLDocument()

Returns the XSQL error information as a DOM Document

#### getErrorCode

    public java.lang.Integer getErrorCode()

Returns the XSQL error code

Copyright © 2003, 2019, Oracle and/or its affiliates. All rights reserved.
Use is subject to license terms. Also see the documentation redistribution policy.
ORACLE CONFIDENTIAL
For authorized use only.
Do not distribute to third parties.